<?php

namespace Drupal\Tests\files_url_replacer\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Tests files_url_replacer Install / Uninstall logic.
 */
class FilesUrlReplacerInstallTest extends BrowserTestBase {
  /**
   * Set default theme to stable.
   *
   * @var string
   */
  protected $defaultTheme = 'stable9';

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();

    $this->container->get('module_installer')->install(['files_url_replacer'], FALSE);
    $this->drupalLogin($this->drupalCreateUser(['administer modules']));
  }

  /**
   * Tests reinstalling after being uninstalled.
   */
  public function testReinstallAfterUninstall(): void {
    $page = $this->getSession()->getPage();
    $assert_session = $this->assertSession();

    $this->drupalGet('/admin/modules/uninstall');
    $page->checkField('uninstall[files_url_replacer]');
    $page->pressButton('Uninstall');
    $assert_session->pageTextContains('The following modules will be completely uninstalled from your site');
    $page->pressButton('Uninstall');
    $assert_session->pageTextContains('The selected modules have been uninstalled.');

    $this->drupalGet('/admin/modules');
    $page->checkField('modules[files_url_replacer][enable]');
    $page->pressButton('Install');
    $assert_session->pageTextContains('Module Public files URL replacer has been installed');
  }

}
